--- Makefile
+++ Makefile
@@ -1,31 +1,31 @@
 PREFIX?=/usr/local
-PREFIX_MAN=$(PREFIX)/man
+PREFIX_MAN?=$(PREFIX)/share/man
 CFLAGS?=-g -Wall -Wextra -pedantic
 
 all: snac
 
 snac: snac.o main.o sandbox.o data.o http.o httpd.o webfinger.o \
     activitypub.o html.o utils.o format.o upgrade.o mastoapi.o
-	$(CC) $(CFLAGS) -L$(PREFIX)/lib *.o -lcurl -lcrypto $(LDFLAGS) -pthread -o $@
+	$(CC) $(CFLAGS) $^ $(LDFLAGS) -lcurl -lcrypto $(LDFLAGS) -pthread -o $@
 
 .c.o:
-	$(CC) $(CFLAGS) $(CPPFLAGS) -I$(PREFIX)/include -c $<
+	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<
 
 clean:
 	rm -rf *.o *.core snac makefile.depend
 
 dep:
-	$(CC) -I$(PREFIX)/include -MM *.c > makefile.depend
+	$(CC) $(CPPFLAGS) -MM *.c > makefile.depend
 
 install:
-	mkdir -p -m 755 $(PREFIX)/bin
-	install -m 755 snac $(PREFIX)/bin/snac
-	mkdir -p -m 755 $(PREFIX_MAN)/man1
-	install -m 644 doc/snac.1 $(PREFIX_MAN)/man1/snac.1
-	mkdir -p -m 755 $(PREFIX_MAN)/man5
-	install -m 644 doc/snac.5 $(PREFIX_MAN)/man5/snac.5
-	mkdir -p -m 755 $(PREFIX_MAN)/man8
-	install -m 644 doc/snac.8 $(PREFIX_MAN)/man8/snac.8
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX)/bin
+	install -m 755 snac $(DESTDIR)$(PREFIX)/bin/snac
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX_MAN)/man1
+	install -m 644 doc/snac.1 $(DESTDIR)$(PREFIX_MAN)/man1/snac.1
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX_MAN)/man5
+	install -m 644 doc/snac.5 $(DESTDIR)$(PREFIX_MAN)/man5/snac.5
+	mkdir -p -m 755 $(DESTDIR)$(PREFIX_MAN)/man8
+	install -m 644 doc/snac.8 $(DESTDIR)$(PREFIX_MAN)/man8/snac.8
 
 uninstall:
 	rm $(PREFIX)/bin/snac
